Project

General

Profile

Bug #45028

Show jail edit error message in a dialog in new UI

Added by Lola Yang about 2 years ago. Updated almost 2 years ago.

Status:
Done
Priority:
No priority
Assignee:
Lola Yang
Category:
GUI (new)
Target version:
Severity:
New
Reason for Closing:
Reason for Blocked:
Needs QA:
No
Needs Doc:
No
Needs Merging:
No
Needs Automation:
No
Support Suite Ticket:
n/a
Hardware Configuration:
ChangeLog Required:
No

failed_Jail_Update.png (78 KB) failed_Jail_Update.png Bonnie Follweiler, 10/11/2018 10:10 AM
34308

Related issues

Related to FreeNAS - Bug #40420: Fix issue with updating jails in new UIDone
Related to FreeNAS - Bug #50874: When I update the release version of a jail, it takes a long time and then I get a message that the jail failed. When I refresh the screen the jail's realese verion is the updated oneClosed

History

#1 Updated by Lola Yang about 2 years ago

  • Related to Bug #40420: Fix issue with updating jails in new UI added

#2 Updated by Dru Lavigne about 2 years ago

  • Target version changed from Backlog to 11.2-RC1

#3 Updated by Lola Yang about 2 years ago

  • Status changed from Unscreened to In Progress

#4 Updated by Lola Yang about 2 years ago

  • Status changed from In Progress to Ready for Testing

#5 Updated by Lola Yang about 2 years ago

  • Needs Merging changed from Yes to No

#6 Updated by Dru Lavigne about 2 years ago

  • Subject changed from show jail edit error message in a dialog to Show jail edit error message in a dialog in new UI
  • Needs Doc changed from Yes to No

#7 Updated by Bonnie Follweiler almost 2 years ago

  • Status changed from Ready for Testing to Failed Testing

I tried to update from Release 11.1Release to 11.2Release in the jail and after a seriously long time with the spinner it failed (screenshot provided)

The got the error message: port_problem FAILED
Error occured, jail not upgraded

with the following information
Error: concurrent.futures.process._RemoteTraceback:
"""
Traceback (most recent call last):
File "/usr/local/lib/python3.6/concurrent/futures/process.py", line 175, in _process_worker
r = call_item.fn(*call_item.args, **call_item.kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 122, in main_worker
res = loop.run_until_complete(coro)
File "/usr/local/lib/python3.6/asyncio/base_events.py", line 468, in run_until_complete
return future.result()
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 82, in _run
return await self._call(f'{service_name}.{method}', serviceobj, methodobj, params=args, job=job)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/worker.py", line 75, in _call
return methodobj(*params)
File "/usr/local/lib/python3.6/site-packages/middlewared/schema.py", line 668, in nf
return f(*args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/plugins/jail.py", line 772, in upgrade
IOCUpgrade(conf, release, root_path).upgrade_jail()
File "/usr/local/lib/python3.6/site-packages/iocage_lib/ioc_upgrade.py", line 115, in upgrade_jail
raise RuntimeError("Error occured, jail not upgraded!")
RuntimeError: Error occured, jail not upgraded!
"""

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 332, in run
await self.future
File "/usr/local/lib/python3.6/site-packages/middlewared/job.py", line 356, in _run_body
rv = await self.middleware._call_worker(self.serviceobj, self.method_name, *self.args, job={'id': self.id})
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 1007, in _call_worker
job,
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 938, in run_in_proc
return await self.run_in_executor(self.
_procpool, method, *args, **kwargs)
File "/usr/local/lib/python3.6/site-packages/middlewared/main.py", line 923, in run_in_executor
return await loop.run_in_executor(pool, functools.partial(method, *args, **kwargs))
RuntimeError: Error occured, jail not upgraded!

#8 Updated by Bonnie Follweiler almost 2 years ago

34308

#9 Updated by Bonnie Follweiler almost 2 years ago

  • Status changed from Failed Testing to Passed Testing
  • Needs QA changed from Yes to No

The Jail error message did show up in the new UI however the updated failed. I will create a ticket for the failed update.

#10 Updated by Bonnie Follweiler almost 2 years ago

  • Related to Bug #50874: When I update the release version of a jail, it takes a long time and then I get a message that the jail failed. When I refresh the screen the jail's realese verion is the updated one added

#11 Updated by Dru Lavigne almost 2 years ago

  • Status changed from Passed Testing to Done

Also available in: Atom PDF